PDA

Visualizza la versione completa : come installare gnome sulla knoppix 6.0


marietto2008
08-03-2009, 12:52
Ciao ragazzi,

come si installa gnome sulla knoppix 6.0 ?

come potete vedere,non ci sono riuscito :

root@Microknoppix:/etc/apt# apt-get install gnome
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gnome: Depends: gnome-desktop-environment (= 1:2.22.2~5) but it is not going to be installed
Depends: gnome-games (>= 1:2.22.2) but it is not going to be installed
Depends: gstreamer0.10-ffmpeg (>= 0.10.4) but it is not going to be installed
Depends: rhythmbox (>= 0.11.5) but it is not going to be installed
Depends: serpentine but it is not going to be installed
Recommends: gnome-office (= 1:2.22.2~5) but it is not going to be installed
E: Broken packages

mykol
08-03-2009, 15:49
aspetta che esca la versione stabile su DVD che avrÓ, immagino, tra i de, anche gnome.

od altrimenti prova ad impostare i repository di debian ed installarlo seguendo la procedura per debian.

marietto2008
09-03-2009, 00:01
ho messo i repository della lenny sulla knoppix per installare gnome,ma non ha funzionato

/etc/apt/sources.list

#deb http://ftp.it.debian.org/debian experimental main contrib non-free
#deb http://ftp.it.debian.org/debian unstable main contrib non-free
#deb http://security.debian.org lenny/updates main contrib non-free
#deb http://ftp.it.debian.org/debian lenny main contrib non-free
#deb http://ftp.it.debian.org/debian stable main contrib non-free
#deb http://security.debian.org stable/updates main contrib non-free

# Knoppix repository
#deb http://debian-knoppix.alioth.debian.org ./

deb http://ftp.us.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.us.debian.org/debian/ lenny main contrib non-free
deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free
deb http://ftp.us.debian.org/debian/ lenny-proposed-updates contrib non-free ma$
deb-src http://ftp.us.debian.org/debian/ lenny-proposed-updates contrib non-fre$

root@Microknoppix:/etc/apt# apt-get install gnome
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
gnome: Depends: gnome-desktop-environment (= 1:2.22.2~5) but it is not going to be installed
Depends: gnome-themes-extras but it is not going to be installed
Depends: gnome-games (>= 1:2.22.2) but it is not going to be installed
Depends: serpentine but it is not going to be installed
Recommends: gnome-office (= 1:2.22.2~5) but it is not going to be installed
E: Broken packages

marietto2008
11-03-2009, 09:20
Ragazzi,sono riuscito ad installare gnome su questa benedetta knoppix 6.0,adesso come lo faccio partire ?

marietto2008
12-03-2009, 08:55
root@Microknoppix:/usr/share/man/man1# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
mesa-utils libdecoration0 python-numeric libdns43 libcdio7 compiz-plugins
libisc44 compiz-core
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
gnome-orca
The following NEW packages will be installed:
gnome-orca
0 upgraded, 1 newly installed, 0 to remove and 289 not upgraded.
510 not fully installed or removed.
Need to get 0B/2014kB of archives.
After this operation, 7930kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 127024 files and directories currently installed.)
Unpacking gnome-orca (from .../gnome-orca_2.24.4-1_all.deb) ...
dpkg: error processing
/var/cache/apt/archives/gnome-orca_2.24.4-1_all.deb (--unpack):
trying to overwrite `/usr/share/man/man1/orca.1.gz', which is also in
package orca
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/gnome-orca_2.24.4-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Loading